--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Wcisnij Numpad 0: Info");
		renderText(0.72, 0.86, 0.025, "- URSUS C 360 -");			
		renderText(0.72, 0.81, 0.02, "Wcisnij Numpad 4: Drzwi lewe");
		renderText(0.72, 0.79, 0.02, "Wcisnij Numpad 6: Drzwi prawe");			
		renderText(0.72, 0.77, 0.02, "Wcisnij Numpad 8: Szyba tyl");
		renderText(0.72, 0.75, 0.02, "Wcisnij Numpad 5: Szyberdach");
		renderText(0.72, 0.73, 0.02, "");
		renderText(0.72, 0.71, 0.02, "www.polishmods.ubf.pl");
		renderText(0.72, 0.69, 0.02, "");
		renderText(0.72, 0.67, 0.02, "Wcisnij 5: Halogeny przod");
		renderText(0.72, 0.65, 0.02, "Wcisnij Numpad 1: Lewy kierunkowsakz");
		renderText(0.72, 0.63, 0.02, "Wcisnij Numpad 2: Swiatla awaryjne");
		renderText(0.72, 0.61, 0.02, "Wcisnij Numpad 3: Prawy kierunkowskaz");
		renderText(0.72, 0.59, 0.02, "Wcisnij 6: dodatek");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




